Subject: bug#41187: 28.0.50; Flipped text

From: Wasim Abbas <[email-masked]>
Date: Sun, 9 Aug 2020 10:50:23 +0100

Yes this is the text from the file I have opened.

I just did a quick test again today and I can reliably reproduce it. This time however it's not just flipped but corrupt frame buffer as it seems?

Here is what I have tried. Open up a longish C++ header file. Scroll with mouse a few times. Nothing happened. Split the window vertically and the scrolled a few more time rapidly. The corruption started in that window only.
Visited another buffer in that window “messages” buffer you can see the flipped text there as well.

Visit the first window (is content was displayed correct so far, I think because its not refreshed yet) and move cursor up and down 1 line at a time only that line is displayed wrong but also some other corruptions in random places.

Here are screenshots of the issues in that order.

> On 6 Aug 2020, at 21:46, Alan Third <[email-masked]> wrote:
> 
> On Mon, May 11, 2020 at 01:00:57PM +0100, Wasim Abbas wrote:
>> I am seeing this issue on emacs head. The text randomly flips
>> vertically. Very hard to reproduce. But if you open a very long
>> C/C++ file like
>> https://github.com/KhronosGroup/Vulkan-Headers/blob/master/include/vulkan/vulkan_core.h
>> <https://github.com/KhronosGroup/Vulkan-Headers/blob/master/include/vulkan/vulkan_core.h>
>> and keep moving around the buffer, cut 100ish lines and paste in
>> another location and then move around again. You might hit the
>> issue.
> 
> I'm short on ideas with this, but can you tell whether the text that
> displays upside down is text that was already on screen (and therefore
> has probably been copied), or is newly drawn?
> -- 
> Alan Third